# $Id: turba-h3.spec,v 1.8 2009/10/14 03:09:51 mrjhb3 Exp $

%define apachedir /etc/httpd
%define apacheuser www
%define apachegroup www
%define contentdir /home/httpd

Summary: The Horde contact management application.
Name: turba-h3
Version: 2.3.2
Release: 1%{?dist}
License: GPL
Group: Applications/Horde
Source: ftp://ftp.horde.org/pub/turba/tarballs/turba-h3-%{version}.tar.gz
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRoot: /tmp/turba-root
AutoReq: no
Requires: php >= 4.3.0
Requires: httpd >= 2.0.46
Requires: horde >= 3.2
Requires: mysql >= 3.23
Prereq: /usr/bin/perl
Obsoletes: turba
Provides: turba

%description
Turba is the Horde contact management application, which allows access
to and storage of personal contacts (including name, email address,
phone number, and other easily customizable fields).  Turba integrates
with IMP (Horde's webmail application) as its address book.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Turba)
please visit http://www.horde.org/.

%prep
%setup -q -n %{name}-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/horde/turba
cp -pR * $RPM_BUILD_ROOT%{contentdir}/html/horde/turba
cd $RPM_BUILD_ROOT%{contentdir}/html/horde/turba/config
for d in *.dist; do
    d0=`basename $d .dist`
    if [ ! -f "$d0" ]; then
        cp -p $d $d0
    fi
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/html/horde/turba
# Include top-level files by hand
%{contentdir}/html/horde/turba/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/html/horde/turba/lib
%{contentdir}/html/horde/turba/locale
%{contentdir}/html/horde/turba/po
%{contentdir}/html/horde/turba/scripts
%{contentdir}/html/horde/turba/templates
%{contentdir}/html/horde/turba/themes
%{contentdir}/html/horde/turba/js
%{contentdir}/html/horde/turba/addressbooks
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/html/horde/turba/LICENSE
%doc %{contentdir}/html/horde/turba/README
%docdir %{contentdir}/html/horde/turba/docs
%{contentdir}/html/horde/turba/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/html/horde/turba/config
%defattr(640,root,%{apachegroup})
%{contentdir}/html/horde/turba/config/.htaccess
%{contentdir}/html/horde/turba/config/*.dist
%config %{contentdir}/html/horde/turba/config/*.php
%config %{contentdir}/html/horde/turba/config/*.xml

%changelog
* Tue Oct 13 2009 John H. Bennett III <bennettj@johnbennettservices.com> 2.3.2-1
- Updated to Turba 2.3.2 [SME: 5512]

* Fri Jan 2 2009 John H. Bennett III <bennettj@johnbennettservices.com> 2.3.1-1       
- Updated to Turba 2.3.1 [SME: 4833]    

* Sat Dec 06 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.3-1
- Updated to Turba 2.3 [SME: 4833]

* Wed Jun 18 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2.1-1  
- Update to Turba 2.2.1                   

* Mon Jun 2 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-1
- initial RPM roll for Turba 2.2

